=== libdiscover/backends/PackageKitBackend/categoryimages/CMakeLists.txt ===
install( FILES
    educationcrop.jpg
    fontcrop.jpg
    gamecrop.jpg
    graphiccrop.jpg
#     multimedia2.jpg
    multimediacrop.jpg
#     music.jpe
    officecrop.jpg
    sciencecrop.jpg
    accesscropped.jpg
    toolcrop.jpg
    accesscropped.jpg
    accessoriescrop.jpg
    applicationcrop.jpg
    internetcrop.jpg
    settingscrop.jpg
    DESTINATION ${KDE_INSTALL_FULL_DATAROOTDIR}/discover/pkcategories)
