=== debian/changelog ===
plasma-discover (5.18.4.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.4.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Apr 2020 19:45:32 +0100

plasma-discover (5.18.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 10 Mar 2020 18:06:56 +0000

plasma-discover (5.18.2-0ubuntu2) focal; urgency=medium

  * Recommend plasma-discover-backend-fwupd.

 -- Rik Mills <rikmills@kde.org>  Thu, 27 Feb 2020 18:24:32 +0000

plasma-discover (5.18.2-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 25 Feb 2020 18:29:09 +0000

plasma-discover (5.18.1-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Feb 2020 14:35:58 +0000

plasma-discover (5.18.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.18.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Feb 2020 07:43:19 +0000

plasma-discover (5.17.90-0ubuntu2) focal; urgency=medium

  * Merge from debian 5.17.5-1. Remaining changes:
    - New upstream (beta) release (5.17.90)
    - debian/control:
      + Kubuntu Vcs fields.
      + snap and flatpak backends depend on xdg-desktop-portal-kde.
      + snap backend depends snapd.
      + plasma-discover depends software-properties-qt instead of removed
        kde variant.
      + plasma-discover recommends the snap backend in Ubuntu.
      + Transitional packages and breaks/replaces for renaming of backend
        packages in Ubuntu.
    * Keep our install files, so that appstream data and .desktop files for
      the snap and flatpak are found in the respective packages.
    * Keep our lintian overrides.
    * debian/meta/cmake-ignore: Keep config for Kubuntu CI.
  * Note that the fwupd backend is now built and provided in a new package
    with this merge.

 -- Rik Mills <rikmills@kde.org>  Mon, 20 Jan 2020 16:12:45 +0000

plasma-discover (5.17.90-0ubuntu1) focal; urgency=medium

  * New upstream (beta) release (5.17.90)

 -- Rik Mills <rikmills@kde.org>  Thu, 16 Jan 2020 18:07:10 +0000

plasma-discover (5.17.5-1) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * New upstream release (5.16.5).
  * Update build-deps and deps with the info from cmake

  [ Pino Toscano ]
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump almost all KF packages to 5.62.0
    - bump libappstreamqt-dev to 0.11.1
    - add libmarkdown2-dev
    - remove unused libkf5configwidgets-dev, libkf5iconthemes-dev,
      libkf5itemviews-dev, libkf5kdelibs4support-dev, libkf5plasma-dev,
      libkf5solid-dev, libkf5textwidgets-dev, libkf5wallet-dev, and
      libkf5widgetsaddons-dev
    - explicitly add gettext
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Update install files.
  * Handle conffile removals.
  * Remove the unused DEB_VERSION_UPSTREAM_REVISION variable in rules.
  * Enable all the variations for reprotest in the salsa CI.
  * Enable the fwupd backend:
    - add the libfwupd-dev build dependency
    - add a new plasma-discover-backend-fwupd binary
  * Remove the obsolete debian/not-installed.
  * Remove old dh_makeshlibs override, as it does not apply anymore.
  * Remove debian/gbp.conf, as the packaging repository does not use
    git buildpackage.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 11:56:19 +0100

plasma-discover (5.17.5-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.5)

 -- Rik Mills <rikmills@kde.org>  Wed, 08 Jan 2020 06:43:47 +0000

plasma-discover (5.17.4-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 03 Dec 2019 19:23:04 +0000

plasma-discover (5.17.3-0ubuntu1) focal; urgency=medium

  * New upstream release (5.17.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 Nov 2019 17:03:55 +0000

plasma-discover (5.17.2-0ubuntu1) focal; urgency=medium

  * Move qdebug categories file to new location.
  * Update install files.
  * Update lintian overrides.
  * New upstream (beta) release (5.16.90)
  * New upstream release (5.17.0)
  * New upstream release (5.17.1)
  * New upstream release (5.17.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 31 Oct 2019 17:49:08 +0000

plasma-discover (5.14.5.1-2) unstable; urgency=medium

  [ Maximiliano Curia ]
  * New revision
  * Move snap dbus file installation path.
    Thanks to Helmut Grohne (Closes: 941592)
  * Bump debhelper build-dep and compat to 12.
  * Bump Standards-Version to 4.4.1.
  * Drop old breaks/replaces, fixed versions already in stable
  * Add a salsa-ci script
  * Release to unstable

  [ Scarlett Clark ]
  * Add hidpi icons runtime depends as hidpi experience dimenished without them.
  * Move hidi icons to recommends.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 04 Oct 2019 10:04:41 +0200
