=== debian/control ===
Source: plasma-discover
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>,
           Matthias Klumpp <mak@debian.org>,
Build-Depends: cmake (>= 2.8.12),
               debhelper-compat (= 12),
               extra-cmake-modules (>= 5.62.0~),
               gettext,
               kirigami2-dev (>= 5.42),
               libappstreamqt-dev (>= 0.11.1~),
               libdebconf-kde-dev (>= 1.0.0),
               libflatpak-dev (>= 0.10.2),
               libfwupd-dev,
               libkf5archive-dev (>= 5.62.0~),
               libkf5attica-dev (>= 5.23~),
               libkf5config-dev (>= 5.62.0~),
               libkf5coreaddons-dev (>= 5.62.0~),
               libkf5crash-dev (>= 5.62.0~),
               libkf5dbusaddons-dev (>= 5.62.0~),
               libkf5declarative-dev (>= 5.62.0~),
               libkf5i18n-dev (>= 5.62.0~),
               libkf5itemmodels-dev (>= 5.62.0~),
               libkf5kio-dev (>= 5.62.0~),
               libkf5newstuff-dev (>= 5.53~),
               libkf5notifications-dev,
               libkf5xmlgui-dev (>= 5.62.0~),
               libmarkdown2-dev,
               libpackagekitqt5-dev (>= 1.0.1),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.4.0~),
               libsnapd-qt-dev (>= 1.30),
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev (>= 5.12.0~),
               qtdeclarative5-dev (>= 5.12.0~),
Standards-Version: 4.4.1
Homepage: https://projects.kde.org/projects/kde/workspace/discover
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/discover

Package: plasma-discover
Architecture: any
Depends: appstream (>= 0.8),
         apt-config-icons,
         packagekit (>= 1.0),
         plasma-discover-common (= ${source:Version}),
         qml-module-org-kde-kcoreaddons,
         qml-module-org-kde-kirigami2 (>= 5.42),
         qml-module-org-kde-kquickcontrols,
         qml-module-org-kde-kquickcontrolsaddons,
         qml-module-org-kde-qqc2desktopstyle,
         qml-module-qtquick-dialogs,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: apt-config-icons-hidpi,
            apt-config-icons-large,
            apt-config-icons-large-hidpi,
            plasma-discover-backend-fwupd,
            plasma-discover-backend-snap,
            software-properties-qt
Description: Discover software management suite
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 By allowing to navigate a software library by search, categories, top lists
 along with detailed application information that includes screenshots
 and reviews, users can more quickly find applications that suit their needs.
 .
 Discover will also keep the system up to date by notifying about updates and
 installing them.

Package: plasma-discover-backend-flatpak
Architecture: any
Depends: flatpak,
         plasma-discover (= ${binary:Version}),
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover-flatpak-backend (<< 5.16.4~)
Replaces: plasma-discover-flatpak-backend (<< 5.16.4~)
Description: Discover software management suite - Flatpak backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Flatpak application
 bundling system.

Package: plasma-discover-backend-snap
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         snapd,
         xdg-desktop-portal-kde,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: plasma-discover-snap-backend (<< 5.16.4~)
Replaces: plasma-discover-snap-backend (<< 5.16.4~)
Description: Discover software management suite - Snap backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the Ubuntu Core Snappy application
 bundling system.

Package: plasma-discover-backend-fwupd
Architecture: any
Depends: plasma-discover (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: fwupd
Description: Discover software management suite - fwupd backend
 Discover is a graphical software manager for the Plasma workspace.
 It helps users easily and quickly find applications and other software
 they might want to install.
 .
 This package contains a backend for the firmware update daemon.

Package: plasma-discover-common
Architecture: all
Depends: ${misc:Depends}
Description: Discover software manager suite (common data files)
 Discover is a graphical software manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the
 Discover suite.

Package: plasma-discover-flatpak-backend
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover-backend-flatpak, ${misc:Depends}
Description: Discover Flatpak backend - transitional package
 This transitional package allows one to migrate to the renamed package
 providing the Plasma Discover Flatpak backend.
 .
 It can be safely removed after the installation.

Package: plasma-discover-snap-backend
Architecture: all
Section: oldlibs
Priority: optional
Depends: plasma-discover-backend-snap, ${misc:Depends}
Description: Discover Flatpak backend - transitional package
 This transitional package allows one to migrate to the renamed package
 providing the Plasma Discover Snap backend.
 .
 It can be safely removed after the installation.
