## plasma-discover 5.18.5

=== debian/changelog ===
plasma-discover (5.18.5-0ubuntu0.1) focal; urgency=medium

  * New upstream release (5.18.5) (LP: #1876876)

 -- Rik Mills <rikmills@kde.org>  Tue, 12 May 2020 15:16:27 +0100
