## plasma-discover 5.18.5-0ubuntu0.1+10.0trisquel2

=== debian/changelog ===
plasma-discover (5.18.5-0ubuntu0.1+10.0trisquel2) nabia; urgency=medium

  * Disable kns, snap and flatpack backend

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 22 Sep 2021 10:13:39 +0000
