## plasma-discover 5.18.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(discover)
-set(PROJECT_VERSION "5.18.4")
+set(PROJECT_VERSION "5.18.7")
 set(PROJECT_VERSION_MAJOR 5)
 
 cmake_minimum_required(VERSION 2.8.12)
