=== debian/changelog ===
plasma-discover (5.18.7-0ubuntu0.1) focal; urgency=medium

  * New upstream bugfix release (5.18.7) (LP: #1938894)

 -- Rik Mills <rikmills@kde.org>  Mon, 31 Jan 2022 07:39:58 +0000
