## plasma-discover 5.18.7-0ubuntu0.1+10.0trisquel2

=== debian/changelog ===
plasma-discover (5.18.7-0ubuntu0.1+10.0trisquel2) nabia; urgency=medium

  * Disable kns, snap and flatpack backend

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sat, 12 Feb 2022 06:37:02 +0000
