=== debian/control ===
--- 
+++ 
@@ -72,53 +72,6 @@
  Discover will also keep the system up to date by notifying about updates and
  installing them.
 
-Package: plasma-discover-backend-flatpak
-Architecture: any
-Depends: flatpak,
-         plasma-discover (= ${binary:Version}),
-         xdg-desktop-portal-kde,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: plasma-discover-flatpak-backend (<< 5.16.4~)
-Replaces: plasma-discover-flatpak-backend (<< 5.16.4~)
-Description: Discover software management suite - Flatpak backend
- Discover is a graphical software manager for the Plasma workspace.
- It helps users easily and quickly find applications and other software
- they might want to install.
- .
- This package contains a backend for the Flatpak application
- bundling system.
-
-Package: plasma-discover-backend-snap
-Architecture: any
-Depends: plasma-discover (= ${binary:Version}),
-         snapd,
-         xdg-desktop-portal-kde,
-         ${misc:Depends},
-         ${shlibs:Depends},
-Breaks: plasma-discover-snap-backend (<< 5.16.4~)
-Replaces: plasma-discover-snap-backend (<< 5.16.4~)
-Description: Discover software management suite - Snap backend
- Discover is a graphical software manager for the Plasma workspace.
- It helps users easily and quickly find applications and other software
- they might want to install.
- .
- This package contains a backend for the Ubuntu Core Snappy application
- bundling system.
-
-Package: plasma-discover-backend-fwupd
-Architecture: any
-Depends: plasma-discover (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends},
-Recommends: fwupd
-Description: Discover software management suite - fwupd backend
- Discover is a graphical software manager for the Plasma workspace.
- It helps users easily and quickly find applications and other software
- they might want to install.
- .
- This package contains a backend for the firmware update daemon.
-
 Package: plasma-discover-common
 Architecture: all
 Depends: ${misc:Depends}
@@ -128,24 +81,3 @@
  This package contains data files shared by various parts of the
  Discover suite.
 
-Package: plasma-discover-flatpak-backend
-Architecture: all
-Section: oldlibs
-Priority: optional
-Depends: plasma-discover-backend-flatpak, ${misc:Depends}
-Description: Discover Flatpak backend - transitional package
- This transitional package allows one to migrate to the renamed package
- providing the Plasma Discover Flatpak backend.
- .
- It can be safely removed after the installation.
-
-Package: plasma-discover-snap-backend
-Architecture: all
-Section: oldlibs
-Priority: optional
-Depends: plasma-discover-backend-snap, ${misc:Depends}
-Description: Discover Flatpak backend - transitional package
- This transitional package allows one to migrate to the renamed package
- providing the Plasma Discover Snap backend.
- .
- It can be safely removed after the installation.
