=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

PLASMA_DISCOVER_FLAGS = -DBUILD_FlatpakBackend=OFF \
			-DBUILD_SnapBackend=OFF

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- $(PLASMA_DISCOVER_FLAGS)

override_dh_missing:
	dh_missing --list-missing

# FIXME: tests are broken at time
override_dh_auto_test:
	:
