## plasma-discover 5.19.5

=== debian/changelog ===
plasma-discover (5.19.5-0ubuntu2) groovy; urgency=medium

  * Add upstream patch backported from 5.20 to fix settings page crash.
    - debian/patches: upstream_fix-settings-page-crash.patch

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Oct 2020 15:53:38 +0100

plasma-discover (5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:52:47 +0100

plasma-discover (5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:41:03 +0100

plasma-discover (5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:57:44 +0100

plasma-discover (5.19.2-0ubuntu1) groovy; urgency=medium

  * Update install files
  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:44:33 +0100

plasma-discover (5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:38:48 +0100
