=== debian/control ===
--- 
+++ 
@@ -6,26 +6,26 @@
            Matthias Klumpp <mak@debian.org>,
 Build-Depends: cmake (>= 2.8.12),
                debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.70.0~),
                gettext,
-               kirigami2-dev (>= 5.42),
+               kirigami2-dev (>= 5.70.0~),
                libappstreamqt-dev (>= 0.11.1~),
                libdebconf-kde-dev (>= 1.0.0),
                libflatpak-dev (>= 0.10.2),
                libfwupd-dev,
-               libkf5archive-dev (>= 5.62.0~),
-               libkf5attica-dev (>= 5.23~),
-               libkf5config-dev (>= 5.62.0~),
-               libkf5coreaddons-dev (>= 5.62.0~),
-               libkf5crash-dev (>= 5.62.0~),
-               libkf5dbusaddons-dev (>= 5.62.0~),
-               libkf5declarative-dev (>= 5.62.0~),
-               libkf5i18n-dev (>= 5.62.0~),
-               libkf5itemmodels-dev (>= 5.62.0~),
-               libkf5kio-dev (>= 5.62.0~),
-               libkf5newstuff-dev (>= 5.53~),
-               libkf5notifications-dev,
-               libkf5xmlgui-dev (>= 5.62.0~),
+               libkf5archive-dev (>= 5.70.0~),
+               libkf5attica-dev (>= 5.70.0~),
+               libkf5config-dev (>= 5.70.0~),
+               libkf5coreaddons-dev (>= 5.70.0~),
+               libkf5crash-dev (>= 5.70.0~),
+               libkf5dbusaddons-dev (>= 5.70.0~),
+               libkf5declarative-dev (>= 5.70.0~),
+               libkf5i18n-dev (>= 5.70.0~),
+               libkf5itemmodels-dev (>= 5.70.0~),
+               libkf5kio-dev (>= 5.70.0~),
+               libkf5newstuff-dev (>= 5.70.0~),
+               libkf5notifications-dev (>= 5.70.0~),
+               libkf5xmlgui-dev (>= 5.70.0~),
                libmarkdown2-dev,
                libpackagekitqt5-dev (>= 1.0.1),
                libqca-qt5-2-dev,
@@ -72,6 +72,53 @@
  Discover will also keep the system up to date by notifying about updates and
  installing them.
 
+Package: plasma-discover-backend-flatpak
+Architecture: any
+Depends: flatpak,
+         plasma-discover (= ${binary:Version}),
+         xdg-desktop-portal-kde,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: plasma-discover-flatpak-backend (<< 5.16.4~)
+Replaces: plasma-discover-flatpak-backend (<< 5.16.4~)
+Description: Discover software management suite - Flatpak backend
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ This package contains a backend for the Flatpak application
+ bundling system.
+
+Package: plasma-discover-backend-snap
+Architecture: any
+Depends: plasma-discover (= ${binary:Version}),
+         snapd,
+         xdg-desktop-portal-kde,
+         ${misc:Depends},
+         ${shlibs:Depends},
+Breaks: plasma-discover-snap-backend (<< 5.16.4~)
+Replaces: plasma-discover-snap-backend (<< 5.16.4~)
+Description: Discover software management suite - Snap backend
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ This package contains a backend for the Ubuntu Core Snappy application
+ bundling system.
+
+Package: plasma-discover-backend-fwupd
+Architecture: any
+Depends: plasma-discover (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Recommends: fwupd
+Description: Discover software management suite - fwupd backend
+ Discover is a graphical software manager for the Plasma workspace.
+ It helps users easily and quickly find applications and other software
+ they might want to install.
+ .
+ This package contains a backend for the firmware update daemon.
+
 Package: plasma-discover-common
 Architecture: all
 Depends: ${misc:Depends}
@@ -81,3 +128,24 @@
  This package contains data files shared by various parts of the
  Discover suite.
 
+Package: plasma-discover-flatpak-backend
+Architecture: all
+Section: oldlibs
+Priority: optional
+Depends: plasma-discover-backend-flatpak, ${misc:Depends}
+Description: Discover Flatpak backend - transitional package
+ This transitional package allows one to migrate to the renamed package
+ providing the Plasma Discover Flatpak backend.
+ .
+ It can be safely removed after the installation.
+
+Package: plasma-discover-snap-backend
+Architecture: all
+Section: oldlibs
+Priority: optional
+Depends: plasma-discover-backend-snap, ${misc:Depends}
+Description: Discover Flatpak backend - transitional package
+ This transitional package allows one to migrate to the renamed package
+ providing the Plasma Discover Snap backend.
+ .
+ It can be safely removed after the installation.
