=== notifier/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 target_link_libraries(DiscoverNotifier
     KF5::Notifications
     KF5::I18n
-    KF5::KIOWidgets
+    KF5::KIOGui
     KF5::Crash
     KF5::DBusAddons
 
@@ -16,4 +16,4 @@
 set(DesktopExec "${KDE_INSTALL_FULL_LIBEXECDIR}/DiscoverNotifier")
 configure_file(org.kde.discover.notifier.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop)
 install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})
-install(PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.kde.discover.notifier.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
