=== debian/changelog ===
plasma-discover (5.20.5-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add patch to validate URI scheme (Fixes: CVE-2021-28117).

 -- Patrick Franz <patfra71@gmail.com>  Wed, 10 Mar 2021 23:53:46 +0100

plasma-discover (5.20.5-2) unstable; urgency=medium

  * Add jcat, libjcat-dev, and any of the libcurl*-dev variants to B-D to work
    around broken fwupd package. (Closes: #980683)

 -- Norbert Preining <norbert@preining.info>  Thu, 21 Jan 2021 17:02:53 +0900

plasma-discover (5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:53 +0900

plasma-discover (5.20.4-3) unstable; urgency=medium

  * Add kuserfeedback-dev to build dependencies for KDE user feedback framework
    support (disabled by default).
  * Add myself to the uploaders.
  * Bump Standards-Version to 4.5.1, no change required.
  * Refresh copyright information.
  * Refresh upstream metadata.
  * Update project homepage.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 27 Dec 2020 22:33:34 +0100

plasma-discover (5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

plasma-discover (5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.
  * Remove upstream included patch:
    01-fix_crash_opening_settings_too_quickly.patch

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:33 +0900

plasma-discover (5.19.5-4) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add upstream patch to fix the crash when opening the settings window too
    quickly after launch.

 -- Norbert Preining <norbert@preining.info>  Sat, 14 Nov 2020 10:33:40 +0900

plasma-discover (5.19.5-3) unstable; urgency=medium

  [ Scarlett Moore ]
  * Remove obsolete fields in d/upstream/metadata already defined in
    d/copyright.

 -- Norbert Preining <norbert@preining.info>  Sat, 07 Nov 2020 06:50:30 +0900

plasma-discover (5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:42 +0900

plasma-discover (5.19.5-1) experimental; urgency=medium

  [ Pino Toscano ]
  * Move the AppStream files of each backend from plasma-discover to the
    package of that backend:
    - org.kde.discover.flatpak.appdata.xml -> plasma-discover-backend-flatpak
    - org.kde.discover.snap.appdata.xml -> plasma-discover-backend-snap
    - add proper breaks/replaces
  * Move org.kde.discover.snap.urlhandler.desktop from plasma-discover to the
    right package, i.e. plasma-discover-backend-snap
    - add proper breaks/replaces
  * Suggest also plasma-discover-backend-fwupd in plasma-discover.
  * Remove executable permissions from autostart desktop files.
    (Closes: #969257)

  [ Norbert Preining ]
  * New upstream release (5.19.5).
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 17:33:54 +0900

plasma-discover (5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Update build-deps and deps with the info from cmake.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps with the info from cmake.
  * Update upstream metadata.
  * Update list of installed files.
  * Enable hardening for build.
  * Clean up and extended d/copyright.

  [ Pino Toscano ]
  * Stop passing --fail-missing to dh_missing, as it is the default behaviour
    with the debhelper compatibility 13.

 -- Pino Toscano <pino@debian.org>  Sun, 30 Aug 2020 08:55:26 +0200

plasma-discover (5.17.5-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Stop passing -DBUILD_FlatpakBackend=ON and -DBUILD_SnapBackend=ON to cmake,
    as they are already ON by default.
  * Build Discover also on non-Linux architectures:
    - restrict the libflatpak-dev, libfwupd-dev, and libsnapd-qt-dev build
      dependencies as linux-any
    - restrict the plasma-discover-backend-flatpak,
      plasma-discover-backend-snap, and plasma-discover-backend-fwupd binaries
      as linux-any
    - restrict the plasma-discover-backend-flatpak suggest as linux-any
  * Update the required version of a couple of build dependencies to what
    required by the upstream build system:
    - bump libflatpak-dev to 0.11.8
    - bump libfwupd-dev to 1.0.6
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 14 Feb 2020 21:25:18 +0100
