=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

# FIXME: tests are broken at time
override_dh_auto_test:
	:

override_dh_fixperms-arch:
	dh_fixperms -a
	# no need for exec permissions for autostart desktop files
	chmod -x debian/plasma-discover/etc/xdg/autostart/*.desktop
